Skip to main content
GET
/
approvals
/
{org}
/
{flow_name}
List approvals
curl --request GET \
  --url https://app.kosli.com/api/v2/approvals/{org}/{flow_name} \
  --header 'Authorization: Bearer <token>'
[
  {
    "release_number": 123,
    "base_artifact": "<string>",
    "artifact_name": "<string>",
    "target_artifact": "<string>",
    "description": "<string>",
    "src_commit_list": [
      "<string>"
    ],
    "created_at": 123,
    "last_modified_at": 123,
    "state": "APPROVED",
    "approvals": [
      {
        "state": "APPROVED",
        "comment": "<string>",
        "approved_by": "<string>",
        "approval_url": "<string>",
        "timestamp": 123
      }
    ],
    "environment": "<string>",
    "user_data": {}
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
org
string
required

Query Parameters

page
integer | null
default:1

The page number of response

per_page
integer | null
default:20

How many results to return per page of response

Response

200 - application/json

Successful Response

release_number
integer
required

The approval number

base_artifact
string
required

The base artifact fingerprint

artifact_name
string
required

The name/identifier of the artifact

target_artifact
string
required

The target artifact fingerprint

description
string
required

Description for the approval

src_commit_list
string[]
required

List of commits with their artifact fingerprints

Pattern: ^[a-f0-9]{40}$
created_at
number
required

Timestamp when the approval was created

last_modified_at
number
required

Timestamp when the approval was last modified

state
enum<string>
required

Overall approval state

Available options:
APPROVED,
UNAPPROVED,
PENDING
approvals
ApprovalWithTimestamp · object[]
required

List of individual approvals

environment
string | null

Environment the approval is valid for

user_data

Additional user data

Last modified on April 9, 2026